FreeMat

- Main Page
- Related Pages

vtkFacetReader

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkFacetReader creates a poly data dataset. It reads ASCII files stored in Facet format

The facet format looks like this: FACET FILE ... nparts Part 1 name 0 npoints 0 0 p1x p1y p1z p2x p2y p2z ... 1 Part 1 name ncells npointspercell p1c1 p2c1 p3c1 ... pnc1 materialnum partnum p1c2 p2c2 p3c2 ... pnc2 materialnum partnum ...

To create an instance of class vtkFacetReader, simply invoke its constructor as follows

      obj = vtkFacetReader

# Methods

The class vtkFacetReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkFacetReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkFacetReader = obj.NewInstance ()`
- `vtkFacetReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Specify file name of Facet datafile to read
- `string = obj.GetFileName ()` - Specify file name of Facet datafile to read